Incus - Command line client(1)

NAME

incus-publish - Publish instances as images

SYNOPSIS

incus publish [:][/] [:] [flags] [key=value...]

DESCRIPTION

Description:
  Publish instances as images

OPTIONS

--alias=[]
    New alias to define at target``

--compression=""
    Compression algorithm to use (none for uncompressed)

--expire=""
    Image expiration date (format: rfc3339)``

-f, --force[=false]
    Stop the instance if currently running

--public[=false]
    Make the image public

--reuse[=false]
    If the image alias already exists, delete and create a new one

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO

incus(1)

HISTORY

27-Apr-2025 Auto generated by spf13/cobra